LOOMAL
SDK / API ReferenceCalendar

Set Public Calendar

Toggle public calendar visibility

Scope: calendar:public

Make this identity's calendar publicly accessible or private. Public calendars are viewable at /identities/:id/calendar.json.

Request

import { Loomal } from "@loomal/sdk";

const loomal = new Loomal({ apiKey: process.env.LOOMAL_API_KEY! });
const result = await loomal.calendar.setPublic(true);
import os
from loomal import Loomal

loomal = Loomal(api_key=os.environ["LOOMAL_API_KEY"])
result = loomal.calendar.set_public(True)
loomal calendar public on
calendar.set_public(enabled=True)

Available through @loomal/mcp — see MCP setup.

curl -X POST https://api.loomal.ai/v0/calendar/public \
  -H "Authorization: Bearer loid-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{ "enabled": true }'

Request Body

FieldTypeRequiredDescription
enabledbooleanYestrue for public, false for private

Response 200

{
  "calendarPublic": true
}

On this page